<?php

/**
 * Функция простого дебага
 *
 * @param $arr
 */
function debugFunction($arr)
{
    echo '<pre>' . print_r($arr, true) . '</pre>';
}

/**
 * Функция экранирования спецсимволов
 *
 * @param $str
 * @return string
 */
function escapeFunction($str)
{
    return htmlspecialchars((string) $str, ENT_QUOTES, 'UTF-8', false);
}

/**
 * Функция редиректа
 *
 * @param false $http
 */
function redirectFunction($http = false)
{
    if ($http) {
        $redirect = $http;
    } else {
        $redirect = isset($_SERVER['HTTP_REFERER']) ? $_SERVER['HTTP_REFERER'] : '/';
    }

    header("Location: $redirect", true, 302);
    exit();
}