<div class="admin">
    <div class="flex bg-light">
        <div class="p-3 pt-0 pb-0">
            <div class="row">
                <div class="col-sm-7 pt-4">
                    <h2>Вход в админ панель</h2>
                    <?php if (!empty($session->get('error'))): ?>
                        <p class="text-danger"><?php echo $session->get('error'); ?></p>
                        <?php $session->delete('error'); ?>
                    <?php endif; ?>
                    <form action="/admin/sign" method="post" autocomplete="off">
                        <div class="form-group">
                            <label>Логин</label>
                            <input type="text"
                                   class="form-control <?php echo isset($errors['login']) && !empty($errors['login']) ? 'border-danger' : '' ?>"
                                   name="login" placeholder="Введите логин"
                                   value="<?php echo isset($_POST['login']) ? escapeFunction($_POST['login']) : null; ?>">
                            <?php if (isset($errors['login']) && !empty($errors['login'])): ?>
                                <small class="text-danger"><?php echo escapeFunction($errors['login'][0]); ?></small>
                            <?php endif; ?>
                        </div>
                        <div class="form-group">
                            <label>Пароль</label>
                            <input type="password"
                                   class="form-control <?php echo isset($errors['password']) && !empty($errors['password']) ? 'border-danger' : '' ?>"
                                   name="password" placeholder="Введите пароль"
                                   value="<?php echo isset($_POST['email']) ? escapeFunction($_POST['email']) : null; ?>">
                            <?php if (isset($errors['password']) && !empty($errors['password'])): ?>
                                <small class="text-danger"><?php echo escapeFunction($errors['password'][0]); ?></small>
                            <?php endif; ?>
                        </div>
                        <button type="submit" class="btn btn-dark">Войти</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>